<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.monthlyNetIncome.home.title">Monthly Net Incomes</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-monthly-net-income" [routerLink]="['/monthly-net-income/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.monthlyNetIncome.home.createLabel">
            Create a new Monthly Net Income
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="monthlyNetIncomes?.length === 0">
        <span jhiTranslate="tfsBackendApp.monthlyNetIncome.home.notFound">No monthlyNetIncomes found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="monthlyNetIncomes && monthlyNetIncomes.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.monthlyNetIncome.incomesFR">Incomes FR</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.monthlyNetIncome.incomesEN">Incomes EN</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let monthlyNetIncome of monthlyNetIncomes ;trackBy: trackId">
                    <td><a [routerLink]="['/monthly-net-income', monthlyNetIncome.id, 'view']">{{ monthlyNetIncome.id }}</a></td>
                    <td>{{ monthlyNetIncome.incomesFR }}</td>
                    <td>{{ monthlyNetIncome.incomesEN }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/monthly-net-income', monthlyNetIncome.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/monthly-net-income', monthlyNetIncome.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(monthlyNetIncome)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
